### A free/open-source library for quantitative finance

Public Member Functions
PiecewiseConstantParameter Class Reference

Piecewise-constant parameter. More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for PiecewiseConstantParameter:
[legend]

List of all members.

## Public Member Functions

| PiecewiseConstantParameter (const std::vector< Time > &times, const Constraint &constraint=NoConstraint())

## Detailed Description

Piecewise-constant parameter.

. This kind of parameter is usually used to enhance the fitting of a model